## monsterz 0.7.0

=== Makefile ===

prefix = /usr/local
gamesdir = ${prefix}/games
datadir = ${prefix}/share
pkgdatadir = $(datadir)/games/monsterz
scoredir = /var/games
scorefile = $(scoredir)/monsterz

VERSION = 0.7.0
DIRECTORY = monsterz-$(VERSION)

BITMAP = graphics/tiles.png graphics/bigtiles.png graphics/background.png \
         graphics/board.png graphics/logo.png graphics/icon.png
SOUND = sound/grunt.wav sound/click.wav sound/pop.wav sound/boing.wav sound/whip.wav \
        sound/applause.wav sound/laugh.wav sound/warning.wav sound/duh.wav \
        sound/ding.wav
MUSIC = sound/music.s3m
TEXT = README TODO COPYING AUTHORS INSTALL

INKSCAPE = inkscape -z

all: monsterz

monsterz: monsterz.c
	$(CC) -Wall monsterz.c -DDATADIR=\"$(pkgdatadir)\" -DSCOREFILE=\"$(scorefile)\" -o monsterz

bitmap: $(BITMAP)

graphics/icon.png: graphics/graphics.svg
	$(INKSCAPE) graphics/graphics.svg -a 800:480:860:540 -w64 -h64 -e graphics/icon.png
graphics/tiles.png: graphics/graphics.svg
	$(INKSCAPE) graphics/graphics.svg -a 800:0:1100:840 -d 72 -e graphics/tiles.png
graphics/bigtiles.png: graphics/graphics.svg
	$(INKSCAPE) graphics/graphics.svg -a 800:0:860:540 -d 432 -e graphics/bigtiles.png
graphics/background.png: graphics/graphics.svg graphics/pattern.png
	$(INKSCAPE) graphics/graphics.svg -a 0:0:800:600 -d 72 -e graphics/background.png
graphics/board.png: graphics/graphics.svg graphics/pattern.png
	$(INKSCAPE) graphics/graphics.svg -a 30:690:510:1170 -d 72 -e graphics/board.png
graphics/logo.png: graphics/graphics.svg
	$(INKSCAPE) graphics/graphics.svg -a 810:858:1220:1075 -w380 -h180 -e graphics/logo.png

install: all
	mkdir -p $(DESTDIR)$(gamesdir)
	cp monsterz $(DESTDIR)$(gamesdir)/
	chown root:games $(DESTDIR)$(gamesdir)/monsterz
	chmod g+s $(DESTDIR)$(gamesdir)/monsterz
	mkdir -p $(DESTDIR)$(pkgdatadir)/graphics
	mkdir -p $(DESTDIR)$(pkgdatadir)/sound
	cp monsterz.py $(DESTDIR)$(pkgdatadir)/
	cp $(BITMAP) $(DESTDIR)$(pkgdatadir)/graphics/
	cp $(SOUND) $(MUSIC) $(DESTDIR)$(pkgdatadir)/sound/
	mkdir -p $(DESTDIR)$(scoredir)
	test -f $(DESTDIR)$(scorefile) || echo "" > $(DESTDIR)$(scorefile)
	chown root:games $(DESTDIR)$(scorefile)
	chmod g+w $(DESTDIR)$(scorefile)

uninstall:
	rm -f $(DESTDIR)$(gamesdir)/monsterz
	rm -Rf $(DESTDIR)$(pkgdatadir)/
	#rm -f $(DESTDIR)$(scorefile)

dist:
	rm -Rf $(DIRECTORY)
	mkdir $(DIRECTORY)
	mkdir $(DIRECTORY)/graphics
	mkdir $(DIRECTORY)/sound
	cp monsterz.py monsterz.c Makefile $(TEXT) $(DIRECTORY)/
	cp graphics/pattern.png graphics/graphics.svg $(DIRECTORY)/graphics
	cp $(BITMAP) $(DIRECTORY)/graphics
	cp $(SOUND) $(MUSIC) $(DIRECTORY)/sound
	tar cvzf $(DIRECTORY).tar.gz $(DIRECTORY)/
	zip -r $(DIRECTORY).zip $(DIRECTORY)
	rm -Rf $(DIRECTORY)

distclean: clean
clean:
	rm -f monsterz

## monsterz 0.7.1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 scoredir = /var/games
 scorefile = $(scoredir)/monsterz
 
-VERSION = 0.7.0
+VERSION = 0.7.1
 DIRECTORY = monsterz-$(VERSION)
 
 BITMAP = graphics/tiles.png graphics/bigtiles.png graphics/background.png \

=== debian/changelog ===
monsterz (0.7.1-13) unstable; urgency=medium

  * Team upload.
  * Remove retired Gonéri Le Bouder from Uploaders, thank you for your work.
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Fri, 08 Nov 2024 13:56:55 +0100

monsterz (0.7.1-12) unstable; urgency=medium

  * Team upload.

  [ Judit Foglszinger ]
  * Fix crash when clicking on background in the menu. (Closes: #964867)

  [ Reiner Herrmann ]
  * Fix new warnings from Python 3.8.
  * Bump debhelper compat level to 13.
  * Bump Standards-Version to 4.5.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 26 Jul 2020 13:52:17 +0200

monsterz (0.7.1-11) unstable; urgency=medium

  * Team upload.
  * Make sure that /var/games exists. (Closes: #933525)

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 02 Aug 2019 09:54:20 +0200

monsterz (0.7.1-10) unstable; urgency=medium

  * Team upload.
  * Port to Python 3. (Closes: #912513)
  * Update debhelper compat level to 12.
  * Bump Standards-Version to 4.4.0.
    - drop menu file and xpm icon
    - declare that d/rules requires root
  * Change Vcs-* URLs to salsa.
  * Drop unnecessary dirs files.
  * Move installation of files from d/rules to .install.
  * Convert d/copyright to copyright format 1.0.
  * Enable all hardening options.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 28 Jul 2019 09:39:32 -0300

monsterz (0.7.1-9) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Use https.
  * wrap-and-sort -sa.
  * Remove hardening-wrapper and use dpkg-buildflags instead. Fix Lintian error
    build-depends-on-obsolete-package. Add hardening.patch.
  * Add keywords to desktop file.

 -- Markus Koschany <apo@debian.org>  Sat, 07 Nov 2015 03:28:57 +0100

monsterz (0.7.1-8) unstable; urgency=medium

  * Team upload.
  * Do not use the obsolete and incorrect full path to dpkg-statoverride.
    Closes: #770057

 -- Peter Pentchev <roam@ringlet.net>  Sat, 29 Nov 2014 02:25:44 +0200

monsterz (0.7.1-7) unstable; urgency=low

  * Team upload.
  * debian/control:
    - Use canonical VCS-URI.
    - Add Breaks and Replaces relation to monsterz-data. This prevents that
      monsterz fails to upgrade. (Closes: #710733)
    - monsterz: Tighten dependency on monsterz-data (>= ${source:Version}).
  * Bump compatibility level to 9 and require debhelper >= 9 for automatic
    hardening build flags.
  * Use hardening-wrapper to harden the monsterz binary completely hence we can
    drop 040_makefile_cflags.patch.
  * Fix lintian issue copyright-refers-to-symlink-license and point to GPL-2
    and LGPL-2.1 licenses.
  * Add preinst script because dpkg does not replace symlinks with directories
    and vice versa, therefore maintainer scripts need to be used.

 -- Markus Koschany <apo@gambaru.de>  Mon, 01 Jul 2013 12:02:42 +0200

monsterz (0.7.1-6) unstable; urgency=low

  * Remove yes flag from --with-python2. (Closes: #710376).

 -- Barry deFreese <bdefreese@debian.org>  Thu, 30 May 2013 05:40:28 -0400

monsterz (0.7.1-5) unstable; urgency=low

  * Add startup animation patch. (Closes: #439807).
    - Thanks to A Mennucc for the patch.
  * Move existing manpage to section 6. (Closes: #605981).
  * Change packaging to dh7 style.
  * Add patch to pass CFLAGS to Makefile.
    - Add hardening flags.
  * Change to source format 3.0 quilt.
    - Drop quilt build-dep.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 26 May 2013 21:35:56 -0400

monsterz (0.7.1-4) unstable; urgency=low

  * Add monsterz.postrm to purge /var/games/monsterz
  * Add myself in Uploaders
  * Standards-Version: 3.8.2, no change

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Mon, 27 Jul 2009 18:42:39 +0200

monsterz (0.7.1-3) unstable; urgency=low

  [ Barry deFreese ]
  * Add myself to uploaders.
  * 020_fix_blit_crash.diff - (Closes: #523877).
    + Fix crash with blit in pygame 1.8.1.
    + Thanks to Arnaud Jeansen and RafaÅ‚ Psota.
  * Add set -e to postinst.
  * Fix up manpage what-is section.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 15 May 2009 21:18:05 -0400

monsterz (0.7.1-2) unstable; urgency=low

  * Remove deprecated Encoding key from .desktop file

  [ Sam Hocevar ]
  * debian/control:
    + Use quilt for patch management.

  * debian/patches/010_64-bit-alignment-issues-with-python2.5.diff:
    + New patch from upstream. Fix a startup crash on 64-bit systems
      (Closes: #373905).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 09 May 2008 16:33:52 +0000

monsterz (0.7.1-1) unstable; urgency=high

  [ Eddy Petrișor ]
  * removed invalid category "Application" from the desktop file

  [ Cyril Brulebois ]
  * Adjusted XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

  [ Barry deFreese ]
  * Add simple man page
  * Remove short description from long description
  * Make distclean not ignore errors

  [ Sam Hocevar ]
  * New upstream release. Removes potentially offensive language from the
    title page (Closes: #456781).
  * debian/control:
    + Set policy to 3.7.3.
    + Added Homepage: field.
    + Fixed Vcs: fields, they don't need "XS-" prepended.
  * debian/copyright:
    + Add link to the GPL and the LGPL texts.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 11 Jul 2007 11:06:35 +0300

monsterz (0.7.0-2) unstable; urgency=low

  * Moved packaging to the Debian Games Team.
  * debian/control:
    + Added Vcs fields.
  * debian/compat:
    + Bumped level to 5.
  * debian/monsterz.desktop:
    + Added desktop file, courtesy of Jean Privat (Closes: #395908).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 30 Mar 2007 12:07:13 +0200

monsterz (0.7.0-1) unstable; urgency=low

  * Initial Debian upload (Closes: #329323).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 10 May 2006 01:11:29 -0500

=== debian/control ===
Source: monsterz
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Barry deFreese <bdefreese@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-dev
Standards-Version: 4.5.0
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/games-team/monsterz.git
Vcs-Browser: https://salsa.debian.org/games-team/monsterz
Homepage: http://sam.zoy.org/monsterz/

Package: monsterz
Architecture: any
Depends:
 monsterz-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: arcade puzzle game
 Monsterz is similar to the Bejeweled, Zookeeper or Zooo games.
 The goal is to swap adjacent tiles to create alignments,
 causing chain reactions to earn more points.

Package: monsterz-data
Architecture: all
Depends:
 python3,
 python3-pygame,
 ${misc:Depends},
 ${python3:Depends}
Replaces:
 monsterz (<< 0.7.1-5)
Breaks:
 monsterz (<< 0.7.1-5)
Description: graphics and audio data for monsterz
 Monsterz is an arcade puzzle game, similar to the Bejeweled, Zookeeper
 or Zooo games. The goal is to swap adjacent tiles to create alignments,
 causing chain reactions to earn more points.
 .
 This package contains the architecture-independent data for monsterz. For
 more information, see the monsterz package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	$(MAKE) prefix=/usr

override_dh_auto_install:
	$(MAKE) install prefix=/usr DESTDIR=$(CURDIR)/debian/tmp

=== debian/watch ===
version=4

http://sam.zoy.org/monsterz/monsterz-(.*)\.tar\.gz
